local WarlockWizz,targetDebuffsTable  =...;
local WarlockWizz, iconsTable         =...;

-- UIFrameFadeOut/IN
local timeToFade                    = 2.5
local startAlpha                    = 1
local endAlpha                      = 1

local spell_corruption_icon           = iconsTable.spell_corruption_icon
local tf1                             = iconsTable.tf1

local spell_agony_icon                = iconsTable.spell_agony_icon
local tf2                             = iconsTable.tf2

local spell_unstable_icon             = iconsTable.spell_unstable_icon
local tf3                             = iconsTable.tf3

local spell_fear_icon                 = iconsTable.spell_fear_icon
local spell_mortalcoil_icon           = iconsTable.spell_mortalcoil_icon
local spell_shadowfury_icon           = iconsTable.spell_shadowfury_icon
local tf4                             = iconsTable.tf4

local spell_seed_icon                 = iconsTable.spell_seed_icon
local tf5                             = iconsTable.tf5

local spell_tongues_icon              = iconsTable.spell_tongues_icon
local tf6                             = iconsTable.tf6


-- Debuff: Corruption
function targetDebuffsTable.TargetDebuffOne()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      tf1:Hide()
      break
    elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      if remainingDuration > -120 then
        tf1.text:SetText(remainingDuration.." s")
        UIFrameFadeOut(spell_corruption_icon, timeToFade, 1, 0)
        UIFrameFadeOut(tf1, timeToFade, 1, 0)
      else
        UIFrameFadeOut(spell_corruption_icon, timeToFade, 1, 0)
    end
      break
    end
  end
end

-- Debuff: Agony
function targetDebuffsTable.TargetDebuffTwo()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      -- tf2:Hide()
      break
    elseif name == "Agony" then
    -- elseif name == "Corruption" then

      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf2.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_agony_icon, timeToFade, 1, 0)
      UIFrameFadeOut(tf2, timeToFade, 1, 0)
      break
    else
      tf2:Hide()
    end
  end
end

-- Debuff: Unstable Affliction
function targetDebuffsTable.TargetDebuffThree()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      tf3:Hide()
      break
    elseif name == "Unstable Affliction" then
    -- elseif name == "Corruption" then

      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf3.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_unstable_icon, timeToFade, 1, 0)
      UIFrameFadeOut(tf3, timeToFade, 1, 0)
      break
    end
  end
end

-- Debuff: Fear
function targetDebuffsTable.TargetDebuffFour()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      tf4:Hide()
      break
    elseif name == "Fear" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf4.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_fear_icon, timeToFade, 1, 0)
      UIFrameFadeOut(tf4, timeToFade, 1, 0)
      break
    elseif name == "Mortal Coil" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf4.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_mortalcoil_icon, timeToFade, 1, 0)
      UIFrameFadeOut(tf4, timeToFade, 1, 0)
      break
    elseif name == "Shadowfury" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf4.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_shadowfury_icon, timeToFade, 1, 0)
      UIFrameFadeOut(tf4, timeToFade, 1, 0)
      break
    else
      tf4:Hide()
    end
  end
end


-- Debuff: Seed of Corruption
function targetDebuffsTable.TargetDebuffFive()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      tf5:Hide()
      break
    elseif name == "Seed of Corruption" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf5.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_seed_icon, timeToFade, 1, 0)
      UIFrameFadeOut(tf5, timeToFade, 1, 0)
      break
    end
  end
end

-- Debuff: Curse of Tongues
function targetDebuffsTable.TargetDebuffSix()
  local name, expirationTime, _
  for i = 1, 40 do
    name, _, _, _, _, expirationTime, _, _, _, _ = UnitAura("target", i, "HARMFUL|TARGET")
    if not name then
      tf6:Hide()
      break
    elseif name == "Curse of Tongues" then
    -- elseif name == "Corruption" then
      expirationTime = expirationTime - GetTime()
      remainingDuration = math.floor(expirationTime)
      tf6.text:SetText(remainingDuration.." s")
      UIFrameFadeOut(spell_tongues_icon, timeToFade, 1, 0)
      UIFrameFadeOut(tf6, timeToFade, 1, 0)
      break
    end
  end
end


