
-- cdf: Combat Disabled Frame, cde: Combat Enabled Frame, tf: Text Frame
local cf                            = CreateFrame("Frame")
local intervalF                     = CreateFrame("Frame")

-- Set interval for Interval Frames
local ONUPDATE_INTERVAL             = 1
local TimeSinceLastUpdate           = 0

-- local WarlockWizz, buffsTable      
local WarlockWizz, targetDebuffsTable =...;
local TargetDebuffOne               = targetDebuffsTable.TargetDebuffOne
local TargetDebuffTwo               = targetDebuffsTable.TargetDebuffTwo
local TargetDebuffThree             = targetDebuffsTable.TargetDebuffThree
local TargetDebuffFour              = targetDebuffsTable.TargetDebuffFour
local TargetDebuffFive              = targetDebuffsTable.TargetDebuffFive
local TargetDebuffSix               = targetDebuffsTable.TargetDebuffSix

print("\124cff907EC3WarlockWizz\124r: type /ww off or /ww on to switch icons off/on.")

local function CombatEnabled()
end

local function CombatDisabled()
end
local iconsShown = true

function visibleSpells(msg, editbox)
  if msg == 'off' then
    print('Icons off')
    iconsShown = false
  elseif msg == 'on' then
    print('Icons on')
    iconsShown = true
  else
    iconsShown = true
  end
end

SLASH_WW1, SLASH_WW2 = '/ww'
SlashCmdList["WW"] = visibleSpells   -- add /hiw and /hellow to command list



intervalF:SetScript("OnUpdate", function(self, elapsed)
	TimeSinceLastUpdate = TimeSinceLastUpdate + elapsed
	if TimeSinceLastUpdate >= ONUPDATE_INTERVAL and iconsShown == true then
		TimeSinceLastUpdate = 0
    -- Do stuff

    -- Debuffs
    TargetDebuffOne()
    TargetDebuffTwo()
    TargetDebuffThree()
    TargetDebuffFour()
    TargetDebuffFive()
    TargetDebuffSix()
	end
end)

-- When the frame is shown, reset the update timer
intervalF:SetScript("OnShow", function(self)
	TimeSinceLastUpdate = 0
end)


-- Call functions for player Combat
cf:RegisterEvent("PLAYER_REGEN_ENABLED")
cf:RegisterEvent("PLAYER_REGEN_DISABLED")

local combat = cf:SetScript("OnEvent", function(self, event, ...)
  if(event == "PLAYER_REGEN_ENABLED") then
    -- CombatDisabled()
  end
   
  if(event == "PLAYER_REGEN_DISABLED") then
    -- CombatEnabled()
  end
end)

